<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: gambit_reader.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_b520d1ab1ec20b7fc47acdc53c2a8486.html">init_flow_old</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">gambit_reader.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacegambit__reader"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegambit__reader.html">gambit_reader</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aa27e14d4522e41868526f31be512fc37"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gambit__reader_8f90.html#aa27e14d4522e41868526f31be512fc37">gambit_readmesh</a></td></tr>
<tr class="separator:aa27e14d4522e41868526f31be512fc37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac14ddd1ad537cedb6d967daa352d401e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gambit__reader_8f90.html#ac14ddd1ad537cedb6d967daa352d401e">read_gambit</a></td></tr>
<tr class="separator:ac14ddd1ad537cedb6d967daa352d401e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a034e446300a13c36e73f3c2ea80ac82a"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gambit__reader_8f90.html#a034e446300a13c36e73f3c2ea80ac82a">read_points</a></td></tr>
<tr class="separator:a034e446300a13c36e73f3c2ea80ac82a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef0ba55f63e03111315d0a4526a02d77"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gambit__reader_8f90.html#aef0ba55f63e03111315d0a4526a02d77">mesh_mask</a></td></tr>
<tr class="separator:aef0ba55f63e03111315d0a4526a02d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a336204befc602874097a5c1f926c1b16"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegambit__reader.html#a336204befc602874097a5c1f926c1b16">gambit_reader::numnp</a></td></tr>
<tr class="separator:a336204befc602874097a5c1f926c1b16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f6cd819756307986ebff787de8bb76c"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegambit__reader.html#a0f6cd819756307986ebff787de8bb76c">gambit_reader::nxpts</a></td></tr>
<tr class="separator:a0f6cd819756307986ebff787de8bb76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0efaa201b6c119aae3672316fd43ae8e"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegambit__reader.html#a0efaa201b6c119aae3672316fd43ae8e">gambit_reader::nypts</a></td></tr>
<tr class="separator:a0efaa201b6c119aae3672316fd43ae8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d5bdea7b4191f3ea5d398ee58f7a101"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegambit__reader.html#a4d5bdea7b4191f3ea5d398ee58f7a101">gambit_reader::got_points</a></td></tr>
<tr class="separator:a4d5bdea7b4191f3ea5d398ee58f7a101"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace23cce7c22a19dca2f839cc4df2d029"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegambit__reader.html#ace23cce7c22a19dca2f839cc4df2d029">gambit_reader::xval</a></td></tr>
<tr class="separator:ace23cce7c22a19dca2f839cc4df2d029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ee723434372026655788cf6ac2d9d83"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegambit__reader.html#a4ee723434372026655788cf6ac2d9d83">gambit_reader::yval</a></td></tr>
<tr class="separator:a4ee723434372026655788cf6ac2d9d83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a375b4d92ba26fc225143888a3084be1b"><td class="memItemLeft" align="right" valign="top">real(wp), parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegambit__reader.html#a375b4d92ba26fc225143888a3084be1b">gambit_reader::thres</a> =1.0e-10_WP</td></tr>
<tr class="separator:a375b4d92ba26fc225143888a3084be1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="aa27e14d4522e41868526f31be512fc37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa27e14d4522e41868526f31be512fc37">&#9670;&nbsp;</a></span>gambit_readmesh()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine gambit_readmesh </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="gambit__reader_8f90.html#aef0ba55f63e03111315d0a4526a02d77">mesh_mask()</a>, <a class="el" href="gambit__reader_8f90.html#ac14ddd1ad537cedb6d967daa352d401e">read_gambit()</a>, and <a class="el" href="gambit__reader_8f90.html#a034e446300a13c36e73f3c2ea80ac82a">read_points()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="gambit__reader_8f90_aa27e14d4522e41868526f31be512fc37_cgraph.png" border="0" usemap="#gambit__reader_8f90_aa27e14d4522e41868526f31be512fc37_cgraph" alt=""/></div>
<map name="gambit__reader_8f90_aa27e14d4522e41868526f31be512fc37_cgraph" id="gambit__reader_8f90_aa27e14d4522e41868526f31be512fc37_cgraph">
<area shape="rect" id="node2" href="gambit__reader_8f90.html#aef0ba55f63e03111315d0a4526a02d77" title="mesh_mask" alt="" coords="179,5,272,32"/>
<area shape="rect" id="node3" href="gambit__reader_8f90.html#ac14ddd1ad537cedb6d967daa352d401e" title="read_gambit" alt="" coords="179,56,272,83"/>
<area shape="rect" id="node6" href="gambit__reader_8f90.html#a034e446300a13c36e73f3c2ea80ac82a" title="read_points" alt="" coords="181,107,270,133"/>
<area shape="rect" id="node4" href="namespacefileio.html#ac1edfca0b5b011e66e8efbc2c441ca58" title="fileio::iopen" alt="" coords="321,31,409,57"/>
<area shape="rect" id="node5" href="namespacefileio.html#a1e9508f2783d9f86eb3314c6e55cfba4" title="fileio::iclose" alt="" coords="320,81,411,108"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="gambit__reader_8f90_aa27e14d4522e41868526f31be512fc37_icgraph.png" border="0" usemap="#gambit__reader_8f90_aa27e14d4522e41868526f31be512fc37_icgraph" alt=""/></div>
<map name="gambit__reader_8f90_aa27e14d4522e41868526f31be512fc37_icgraph" id="gambit__reader_8f90_aa27e14d4522e41868526f31be512fc37_icgraph">
<area shape="rect" id="node2" href="gambit_8f90.html#a392a35fa1946a6316cc1eb2c041c8b21" title="gambit_grid" alt="" coords="179,5,268,32"/>
<area shape="rect" id="node3" href="init__flow-orig_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="316,5,387,32"/>
</map>
</div>

</div>
</div>
<a id="aef0ba55f63e03111315d0a4526a02d77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef0ba55f63e03111315d0a4526a02d77">&#9670;&nbsp;</a></span>mesh_mask()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine mesh_mask </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacegambit__reader.html#a4d5bdea7b4191f3ea5d398ee58f7a101">gambit_reader::got_points</a>, <a class="el" href="namespacegambit__reader.html#a336204befc602874097a5c1f926c1b16">gambit_reader::numnp</a>, <a class="el" href="namespacegambit__reader.html#a0f6cd819756307986ebff787de8bb76c">gambit_reader::nxpts</a>, <a class="el" href="namespacegambit__reader.html#a0efaa201b6c119aae3672316fd43ae8e">gambit_reader::nypts</a>, <a class="el" href="namespacegambit__reader.html#ace23cce7c22a19dca2f839cc4df2d029">gambit_reader::xval</a>, and <a class="el" href="namespacegambit__reader.html#a4ee723434372026655788cf6ac2d9d83">gambit_reader::yval</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="gambit__reader_8f90_aef0ba55f63e03111315d0a4526a02d77_icgraph.png" border="0" usemap="#gambit__reader_8f90_aef0ba55f63e03111315d0a4526a02d77_icgraph" alt=""/></div>
<map name="gambit__reader_8f90_aef0ba55f63e03111315d0a4526a02d77_icgraph" id="gambit__reader_8f90_aef0ba55f63e03111315d0a4526a02d77_icgraph">
<area shape="rect" id="node2" href="gambit__reader_8f90.html#aa27e14d4522e41868526f31be512fc37" title="gambit_readmesh" alt="" coords="147,5,272,32"/>
<area shape="rect" id="node3" href="gambit_8f90.html#a392a35fa1946a6316cc1eb2c041c8b21" title="gambit_grid" alt="" coords="320,5,409,32"/>
<area shape="rect" id="node4" href="init__flow-orig_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="457,5,528,32"/>
</map>
</div>

</div>
</div>
<a id="ac14ddd1ad537cedb6d967daa352d401e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac14ddd1ad537cedb6d967daa352d401e">&#9670;&nbsp;</a></span>read_gambit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine read_gambit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacefileio.html#a1e9508f2783d9f86eb3314c6e55cfba4">fileio::iclose()</a>, <a class="el" href="namespacefileio.html#ac1edfca0b5b011e66e8efbc2c441ca58">fileio::iopen()</a>, <a class="el" href="namespacegambit__reader.html#a336204befc602874097a5c1f926c1b16">gambit_reader::numnp</a>, <a class="el" href="namespacegambit__reader.html#ace23cce7c22a19dca2f839cc4df2d029">gambit_reader::xval</a>, and <a class="el" href="namespacegambit__reader.html#a4ee723434372026655788cf6ac2d9d83">gambit_reader::yval</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="gambit__reader_8f90_ac14ddd1ad537cedb6d967daa352d401e_cgraph.png" border="0" usemap="#gambit__reader_8f90_ac14ddd1ad537cedb6d967daa352d401e_cgraph" alt=""/></div>
<map name="gambit__reader_8f90_ac14ddd1ad537cedb6d967daa352d401e_cgraph" id="gambit__reader_8f90_ac14ddd1ad537cedb6d967daa352d401e_cgraph">
<area shape="rect" id="node2" href="namespacefileio.html#a1e9508f2783d9f86eb3314c6e55cfba4" title="fileio::iclose" alt="" coords="147,5,237,32"/>
<area shape="rect" id="node3" href="namespacefileio.html#ac1edfca0b5b011e66e8efbc2c441ca58" title="fileio::iopen" alt="" coords="148,56,236,83"/>
</map>
</div>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="gambit__reader_8f90_ac14ddd1ad537cedb6d967daa352d401e_icgraph.png" border="0" usemap="#gambit__reader_8f90_ac14ddd1ad537cedb6d967daa352d401e_icgraph" alt=""/></div>
<map name="gambit__reader_8f90_ac14ddd1ad537cedb6d967daa352d401e_icgraph" id="gambit__reader_8f90_ac14ddd1ad537cedb6d967daa352d401e_icgraph">
<area shape="rect" id="node2" href="gambit__reader_8f90.html#aa27e14d4522e41868526f31be512fc37" title="gambit_readmesh" alt="" coords="147,5,272,32"/>
<area shape="rect" id="node3" href="gambit_8f90.html#a392a35fa1946a6316cc1eb2c041c8b21" title="gambit_grid" alt="" coords="320,5,409,32"/>
<area shape="rect" id="node4" href="init__flow-orig_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="457,5,528,32"/>
</map>
</div>

</div>
</div>
<a id="a034e446300a13c36e73f3c2ea80ac82a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a034e446300a13c36e73f3c2ea80ac82a">&#9670;&nbsp;</a></span>read_points()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine read_points </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacegambit__reader.html#a336204befc602874097a5c1f926c1b16">gambit_reader::numnp</a>, <a class="el" href="namespacegambit__reader.html#a0f6cd819756307986ebff787de8bb76c">gambit_reader::nxpts</a>, <a class="el" href="namespacegambit__reader.html#a0efaa201b6c119aae3672316fd43ae8e">gambit_reader::nypts</a>, <a class="el" href="namespacegambit__reader.html#a375b4d92ba26fc225143888a3084be1b">gambit_reader::thres</a>, <a class="el" href="namespacegambit__reader.html#ace23cce7c22a19dca2f839cc4df2d029">gambit_reader::xval</a>, and <a class="el" href="namespacegambit__reader.html#a4ee723434372026655788cf6ac2d9d83">gambit_reader::yval</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="gambit__reader_8f90_a034e446300a13c36e73f3c2ea80ac82a_icgraph.png" border="0" usemap="#gambit__reader_8f90_a034e446300a13c36e73f3c2ea80ac82a_icgraph" alt=""/></div>
<map name="gambit__reader_8f90_a034e446300a13c36e73f3c2ea80ac82a_icgraph" id="gambit__reader_8f90_a034e446300a13c36e73f3c2ea80ac82a_icgraph">
<area shape="rect" id="node2" href="gambit__reader_8f90.html#aa27e14d4522e41868526f31be512fc37" title="gambit_readmesh" alt="" coords="143,5,268,32"/>
<area shape="rect" id="node3" href="gambit_8f90.html#a392a35fa1946a6316cc1eb2c041c8b21" title="gambit_grid" alt="" coords="316,5,405,32"/>
<area shape="rect" id="node4" href="init__flow-orig_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="453,5,524,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jul 13 2020 22:28:00 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
